OS does not meet the minimum requirements for Roxio

Asked By 20 points N/A Posted on -

Dear Friends,

I have been using Windows 7 Professional. I recently purchased Roxio easy VHS DVD. The installation was proceeding fine and went till nearly 75% when I got the below mentioned error. Strange behavior as it shows a false compatibility issue.

This operating system does not meet the minimum requirements for Roxio Easy VHS DVD.
This product will not be installed.
Microsoft Windows XP SP2 (64-bit)
Microsoft Windows XP SP3 (32-bit)
Microsoft Vista SP1 (3264-bit)
Microsoft Windows 7 Home Premium, Professional, or Ultimate (3264-bit)
Any thoughts?
Answered By 0 points N/A #134534

OS does not meet the minimum requirements for Roxio


Hello Arthur,

Roxio Easy application is failing to install on your computer because of compatibility issues. You will therefore need to resolve that as follows:

  • On your computer, click on start, and then locate Computer and right click on it.
  • Click on properties.
  • In the window that will open, you will need to check the system specs of the operating system that you are using.
  • After that you will need to get a Roxio Easy application that matches the specifications of your operating system and then try reinstalling it. It should work this time round.

Hope this helps.



Login/Register to Answer

Related Questions